# DaprProtos.RaiseEventWorkflowRequest.Builder (dapr-sdk-parent 1.10.0 API)

Package io.dapr.v1

## Class DaprProtos.RaiseEventWorkflowRequest.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder
  - - com.google.protobuf.AbstractMessage.Builder<BuilderType>
    - - com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.RaiseEventWorkflowRequest.Builder>
      - - io.dapr.v1.DaprProtos.RaiseEventWorkflowRequest.Builder

All Implemented Interfaces:
  `com.google.protobuf.Message.Builder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `DaprProtos.RaiseEventWorkflowRequestOrBuilder`, `Cloneable`

Enclosing class:
  DaprProtos.RaiseEventWorkflowRequest

    public static final class DaprProtos.RaiseEventWorkflowRequest.Builder
    extends com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.RaiseEventWorkflowRequest.Builder>
    implements DaprProtos.RaiseEventWorkflowRequestOrBuilder

     RaiseEventWorkflowRequest is the request for RaiseEventWorkflowBeta1.

Protobuf type `dapr.proto.runtime.v1.RaiseEventWorkflowRequest`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`DaprProtos.RaiseEventWorkflowRequest.Builder` `addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`DaprProtos.RaiseEventWorkflowRequest` `build()`
`DaprProtos.RaiseEventWorkflowRequest` `buildPartial()`
`DaprProtos.RaiseEventWorkflowRequest.Builder` `clear()`
`DaprProtos.RaiseEventWorkflowRequest.Builder` `clearEventData()` Data associated with the event.
`DaprProtos.RaiseEventWorkflowRequest.Builder` `clearEventName()` Name of the event.
`DaprProtos.RaiseEventWorkflowRequest.Builder` `clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)`
`DaprProtos.RaiseEventWorkflowRequest.Builder` `clearInstanceId()` ID of the workflow instance to raise an event for.
`DaprProtos.RaiseEventWorkflowRequest.Builder` `clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)`
`DaprProtos.RaiseEventWorkflowRequest.Builder` `clearWorkflowComponent()` Name of the workflow component.
`DaprProtos.RaiseEventWorkflowRequest.Builder` `clone()`
`DaprProtos.RaiseEventWorkflowRequest` `getDefaultInstanceForType()`
`static com.google.protobuf.Descriptors.Descriptor` `getDescriptor()`
`com.google.protobuf.Descriptors.Descriptor` `getDescriptorForType()`
`com.google.protobuf.ByteString` `getEventData()` Data associated with the event.
`String` `getEventName()` Name of the event.
`com.google.protobuf.ByteString` `getEventNameBytes()` Name of the event.
`String` `getInstanceId()` ID of the workflow instance to raise an event for.
`com.google.protobuf.ByteString` `getInstanceIdBytes()` ID of the workflow instance to raise an event for.
`String` `getWorkflowComponent()` Name of the workflow component.
`com.google.protobuf.ByteString` `getWorkflowComponentBytes()` Name of the workflow component.
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internalGetFieldAccessorTable()`
`boolean` `isInitialized()`
`DaprProtos.RaiseEventWorkflowRequest.Builder` `mergeFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`DaprProtos.RaiseEventWorkflowRequest.Builder` `mergeFrom​(com.google.protobuf.Message other)`
`DaprProtos.RaiseEventWorkflowRequest.Builder` `mergeFrom​(DaprProtos.RaiseEventWorkflowRequest other)`
`DaprProtos.RaiseEventWorkflowRequest.Builder` `mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)`
`DaprProtos.RaiseEventWorkflowRequest.Builder` `setEventData​(com.google.protobuf.ByteString value)` Data associated with the event.
`DaprProtos.RaiseEventWorkflowRequest.Builder` `setEventName​(String value)` Name of the event.
`DaprProtos.RaiseEventWorkflowRequest.Builder` `setEventNameBytes​(com.google.protobuf.ByteString value)` Name of the event.
`DaprProtos.RaiseEventWorkflowRequest.Builder` `setField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`DaprProtos.RaiseEventWorkflowRequest.Builder` `setInstanceId​(String value)` ID of the workflow instance to raise an event for.
`DaprProtos.RaiseEventWorkflowRequest.Builder` `setInstanceIdBytes​(com.google.protobuf.ByteString value)` ID of the workflow instance to raise an event for.
`DaprProtos.RaiseEventWorkflowRequest.Builder` `setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)`
`DaprProtos.RaiseEventWorkflowRequest.Builder` `setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)`
`DaprProtos.RaiseEventWorkflowRequest.Builder` `setWorkflowComponent​(String value)` Name of the workflow component.
`DaprProtos.RaiseEventWorkflowRequest.Builder` `setWorkflowComponentBytes​(com.google.protobuf.ByteString value)` Name of the workflow component.

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, newBuilderForField, onBuilt, onChanged, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Method Detail

#### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

#### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.RaiseEventWorkflowRequest.Builder>`

#### clear

    public DaprProtos.RaiseEventWorkflowRequest.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.RaiseEventWorkflowRequest.Builder>`

#### getDescriptorForType

    public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.RaiseEventWorkflowRequest.Builder>`

#### getDefaultInstanceForType

    public DaprProtos.RaiseEventWorkflowRequest getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

#### build

    public DaprProtos.RaiseEventWorkflowRequest build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

#### buildPartial

    public DaprProtos.RaiseEventWorkflowRequest buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

#### clone

    public DaprProtos.RaiseEventWorkflowRequest.Builder clone()

Specified by:
  `clone` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clone` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.RaiseEventWorkflowRequest.Builder>`

#### setField

    public DaprProtos.RaiseEventWorkflowRequest.Builder setField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                                 Object value)

Specified by:
  `setField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.RaiseEventWorkflowRequest.Builder>`

#### clearField

    public DaprProtos.RaiseEventWorkflowRequest.Builder clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)

Specified by:
  `clearField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.RaiseEventWorkflowRequest.Builder>`

#### clearOneof

    public DaprProtos.RaiseEventWorkflowRequest.Builder clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)

Specified by:
  `clearOneof` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.RaiseEventWorkflowRequest.Builder>`

#### setRepeatedField

    public DaprProtos.RaiseEventWorkflowRequest.Builder setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                                         int index,
                                                                         Object value)

Specified by:
  `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.RaiseEventWorkflowRequest.Builder>`

#### addRepeatedField

    public DaprProtos.RaiseEventWorkflowRequest.Builder addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                                         Object value)

Specified by:
  `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.RaiseEventWorkflowRequest.Builder>`

#### mergeFrom

    public DaprProtos.RaiseEventWorkflowRequest.Builder mergeFrom​(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<DaprProtos.RaiseEventWorkflowRequest.Builder>`

#### mergeFrom

    public DaprProtos.RaiseEventWorkflowRequest.Builder mergeFrom​(DaprProtos.RaiseEventWorkflowRequest other)

#### isInitialized

    public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.RaiseEventWorkflowRequest.Builder>`

#### mergeFrom

    public DaprProtos.RaiseEventWorkflowRequest.Builder mergeFrom​(com.google.protobuf.CodedInputStream input,
                                                                  com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                           throws IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<DaprProtos.RaiseEventWorkflowRequest.Builder>`
Throws:
  `IOException`

#### getInstanceId

    public String getInstanceId()

     ID of the workflow instance to raise an event for.

`string instance_id = 1 [json_name = "instanceID"];`

Specified by:
  `getInstanceId` in interface `DaprProtos.RaiseEventWorkflowRequestOrBuilder`
Returns:
  The instanceId.

#### getInstanceIdBytes

    public com.google.protobuf.ByteString getInstanceIdBytes()

     ID of the workflow instance to raise an event for.

`string instance_id = 1 [json_name = "instanceID"];`

Specified by:
  `getInstanceIdBytes` in interface `DaprProtos.RaiseEventWorkflowRequestOrBuilder`
Returns:
  The bytes for instanceId.

#### setInstanceId

    public DaprProtos.RaiseEventWorkflowRequest.Builder setInstanceId​(String value)

     ID of the workflow instance to raise an event for.

`string instance_id = 1 [json_name = "instanceID"];`

Parameters:
  `value` - The instanceId to set.
Returns:
  This builder for chaining.

#### clearInstanceId

    public DaprProtos.RaiseEventWorkflowRequest.Builder clearInstanceId()

     ID of the workflow instance to raise an event for.

`string instance_id = 1 [json_name = "instanceID"];`

Returns:
  This builder for chaining.

#### setInstanceIdBytes

    public DaprProtos.RaiseEventWorkflowRequest.Builder setInstanceIdBytes​(com.google.protobuf.ByteString value)

     ID of the workflow instance to raise an event for.

`string instance_id = 1 [json_name = "instanceID"];`

Parameters:
  `value` - The bytes for instanceId to set.
Returns:
  This builder for chaining.

#### getWorkflowComponent

    public String getWorkflowComponent()

     Name of the workflow component.

`string workflow_component = 2 [json_name = "workflowComponent"];`

Specified by:
  `getWorkflowComponent` in interface `DaprProtos.RaiseEventWorkflowRequestOrBuilder`
Returns:
  The workflowComponent.

#### getWorkflowComponentBytes

    public com.google.protobuf.ByteString getWorkflowComponentBytes()

     Name of the workflow component.

`string workflow_component = 2 [json_name = "workflowComponent"];`

Specified by:
  `getWorkflowComponentBytes` in interface `DaprProtos.RaiseEventWorkflowRequestOrBuilder`
Returns:
  The bytes for workflowComponent.

#### setWorkflowComponent

    public DaprProtos.RaiseEventWorkflowRequest.Builder setWorkflowComponent​(String value)

     Name of the workflow component.

`string workflow_component = 2 [json_name = "workflowComponent"];`

Parameters:
  `value` - The workflowComponent to set.
Returns:
  This builder for chaining.

#### clearWorkflowComponent

    public DaprProtos.RaiseEventWorkflowRequest.Builder clearWorkflowComponent()

     Name of the workflow component.

`string workflow_component = 2 [json_name = "workflowComponent"];`

Returns:
  This builder for chaining.

#### setWorkflowComponentBytes

    public DaprProtos.RaiseEventWorkflowRequest.Builder setWorkflowComponentBytes​(com.google.protobuf.ByteString value)

     Name of the workflow component.

`string workflow_component = 2 [json_name = "workflowComponent"];`

Parameters:
  `value` - The bytes for workflowComponent to set.
Returns:
  This builder for chaining.

#### getEventName

    public String getEventName()

     Name of the event.

`string event_name = 3 [json_name = "eventName"];`

Specified by:
  `getEventName` in interface `DaprProtos.RaiseEventWorkflowRequestOrBuilder`
Returns:
  The eventName.

#### getEventNameBytes

    public com.google.protobuf.ByteString getEventNameBytes()

     Name of the event.

`string event_name = 3 [json_name = "eventName"];`

Specified by:
  `getEventNameBytes` in interface `DaprProtos.RaiseEventWorkflowRequestOrBuilder`
Returns:
  The bytes for eventName.

#### setEventName

    public DaprProtos.RaiseEventWorkflowRequest.Builder setEventName​(String value)

     Name of the event.

`string event_name = 3 [json_name = "eventName"];`

Parameters:
  `value` - The eventName to set.
Returns:
  This builder for chaining.

#### clearEventName

    public DaprProtos.RaiseEventWorkflowRequest.Builder clearEventName()

     Name of the event.

`string event_name = 3 [json_name = "eventName"];`

Returns:
  This builder for chaining.

#### setEventNameBytes

    public DaprProtos.RaiseEventWorkflowRequest.Builder setEventNameBytes​(com.google.protobuf.ByteString value)

     Name of the event.

`string event_name = 3 [json_name = "eventName"];`

Parameters:
  `value` - The bytes for eventName to set.
Returns:
  This builder for chaining.

#### getEventData

    public com.google.protobuf.ByteString getEventData()

     Data associated with the event.

`bytes event_data = 4;`

Specified by:
  `getEventData` in interface `DaprProtos.RaiseEventWorkflowRequestOrBuilder`
Returns:
  The eventData.

#### setEventData

    public DaprProtos.RaiseEventWorkflowRequest.Builder setEventData​(com.google.protobuf.ByteString value)

     Data associated with the event.

`bytes event_data = 4;`

Parameters:
  `value` - The eventData to set.
Returns:
  This builder for chaining.

#### clearEventData

    public DaprProtos.RaiseEventWorkflowRequest.Builder clearEventData()

     Data associated with the event.

`bytes event_data = 4;`

Returns:
  This builder for chaining.

#### setUnknownFields

    public final DaprProtos.RaiseEventWorkflowRequest.Builder setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.RaiseEventWorkflowRequest.Builder>`

#### mergeUnknownFields

    public final DaprProtos.RaiseEventWorkflowRequest.Builder mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.RaiseEventWorkflowRequest.Builder>`